# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "karpal-arrow"
version = "0.4.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Category and Arrow hierarchy for the Industrial Algebra ecosystem"
homepage = "https://github.com/Industrial-Algebra/Karpal"
readme = "README.md"
keywords = [
    "hkt",
    "functor",
    "algebraic",
    "category-theory",
    "fp",
]
categories = [
    "no-std",
    "rust-patterns",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Industrial-Algebra/Karpal"

[features]
alloc = ["karpal-core/alloc"]
default = ["std"]
std = [
    "alloc",
    "karpal-core/std",
]

[lib]
name = "karpal_arrow"
path = "src/lib.rs"

[dependencies.karpal-core]
version = "0.4.0"
default-features = false

[dev-dependencies.proptest]
version = "1"
